All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
sha1.hpp File Reference
`#include <cstdio>`
`#include <cstdlib>`
`#include <cstring>`
`#include <iomanip>`
`#include <sstream>`
`#include "viennacl/forwards.h"`

Go to the source code of this file.

## Classes

class | viennacl::tools::detail::sha1

## Namespaces

| viennacl
| Main namespace in ViennaCL. Holds all the basic types such as vector, matrix, etc. and defines operations upon them.
| viennacl::tools
| Namespace for various tools used within ViennaCL.
| viennacl::tools::detail
| Contains implementation details for the tools. Usually not of interest for the library user.

## Typedefs

typedef signed char | viennacl::tools::int8_t
typedef unsigned char | viennacl::tools::uint8_t
typedef short | viennacl::tools::int16_t
typedef unsigned short | viennacl::tools::uint16_t
typedef int | viennacl::tools::int32_t
typedef unsigned int | viennacl::tools::uint32_t

## Functions

std::string | viennacl::tools::sha1 (std::string const &src)